zynaddsubfx plugin in lmms-1.2.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

zynaddsubfx plugin in lmms-1.2.0

putridsoul66
I installed lmms-1.2.0 using pkg_add command.
And the zynaddsubfx plugin which is supposed
to be included in lmms is not there. Opening
most demo's yields plugin not found error. For
those leeway can be suggested, but zynaddsubfx
is a very important plugin. I hope the porters
of lmms look into this.

Reply | Threaded
Open this post in threaded view
|

Re: zynaddsubfx plugin in lmms-1.2.0

Stuart Henderson
On 2020/01/30 14:41, [hidden email] wrote:
> I installed lmms-1.2.0 using pkg_add command.
> And the zynaddsubfx plugin which is supposed
> to be included in lmms is not there. Opening
> most demo's yields plugin not found error. For
> those leeway can be suggested, but zynaddsubfx
> is a very important plugin. I hope the porters
> of lmms look into this.
>

here's a comment from someone who worked on the update to 1.2.x earlier:

----- Forwarded message from Ken M <[hidden email]> -----

From: Ken M
Date: Sun, 3 Jun 2018 14:02:13 -0400
Subject: lmms update


Diff for lmms update.

A couple of notes:

1. sndio support is now included by upstream so no need to patch for that
2. Zynaddsubfx support is dropped, it won't work effectively till someone ports
it standalone first, if even. I personally don't care about it so I dropped it.

<snip>

----- End forwarded message -----

I see it does build some extra files relating to zynaddsubfx if you remove
the patch in the port which disables it (patches/patch-plugins_CMakeLists_txt),
though no idea how useful they are (or what is needed for "ports it standalone
first").

"just" needs someone who is interested who has enough time to figure it out ...